//Log your visit online
//medwyn_cz, gord, mikrom
  
procedure LogYourVisit(id : String);
var
   wm : TGeo;
   url,s : String;
begin
  if IsValidGC(id) then //It is a geocache
  begin
     RunShell('http://www.geocaching.com/seek/log.aspx?wp=' + id);
  end else
  if IsValidWM(id) then //It is a waymark
  begin
     wm := TGeo.Create;
     wm.LoadByGC(id);
     try
        if (wm.GUID <> '')
           then url := 'http://www.waymarking.com/logs/add.aspx?f=1&guid=' + wm.GUID + '&logtype=1'
           else url := 'http://www.waymarking.com/waymarks/' + id; //We can not generate the exact url. Open the waymark page instead.
        RunShell(url);
     finally
        wm.Free;
     end;
  end
  else 
    begin
      s := _('Waypoint %ID% is neither a geocache nor a waymark. You can not log your visit online.');
      s := ReplaceString(s,'%ID%',id);
      ShowMessage(s);
    end;
end;